From aca6d3d8dfbe3af7989764c5556c94fb9cd40f97 Mon Sep 17 00:00:00 2001
From: Uthayakumar Muthu <uthayakumar.muthu@multicorewareinc.com>
Date: Mon, 14 Oct 2024 07:02:02 +0000
Subject: [PATCH] Aarch64 : Fix SVE2 architecture flags

---
 source/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/source/CMakeLists.txt b/source/CMakeLists.txt
index 8a3128bb7..9cc41be3a 100755
--- a/source/CMakeLists.txt
+++ b/source/CMakeLists.txt
@@ -331,7 +331,7 @@ if(GCC)
         if(CPU_HAS_SVE2)
             message(STATUS "Found SVE2")
             # SVE2 is only available from Armv9.0, and armv9-a implies +dotprod
-            set(ARM_ARGS -O3 -march=armv8.2-a+dotprod+i8mm+sve)
+            set(ARM_ARGS -O3 -march=armv9-a+i8mm+sve2)
             add_definitions(-DHAVE_SVE2=1)
         endif()
         set(ARM_ARGS ${ARM_ARGS} -fPIC)
-- 
2.43.0

